/* $Id: order.c,v 1.3 2005/05/21 20:40:36 cegger Exp $
******************************************************************************

   Graphics library for GGI. WMH stuff.

   Copyright (C) 2004 Christoph Egger

   Permission is hereby granted, free of charge, to any person obtaining a
   copy of this software and associated documentation files (the "Software"),
   to deal in the Software without restriction, including without limitation
   the rights to use, copy, modify, merge, publish, distribute, sublicense,
   and/or sell copies of the Software, and to permit persons to whom the
   Software is furnished to do so, subject to the following conditions:

   The above copyright notice and this permission notice shall be included in
   all copies or substantial portions of the Software.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
   IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
   THE AUTHOR(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
   IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
   CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

******************************************************************************
*/

#include "config.h"
#include "quartzwmh.h"

int GGIwmh_quartz_zorder(ggi_visual_t vis,enum ggi_wmh_ordercmd command)
{
	ggi_quartz_priv *priv;                                                   
	priv = QUARTZ_PRIV(vis);

	if (priv->fullscreen)
		return GGI_ENOMATCH;

	switch(command) {
	case GGI_WMH_ZO_TOP:
		BringToFront(priv->theWindow);
		return GGI_OK;
	case GGI_WMH_ZO_BOTTOM:
		SendBehind(priv->theWindow, NULL);
		return GGI_OK;

	case GGI_WMH_ZO_ONE_UP:
	case GGI_WMH_ZO_ONE_DOWN:
		return GGI_ENOFUNC;
	}

	return GGI_ENOMATCH;
}

